VMware: Error MISSING DEPENDENCY VIBS a actualizar a la versión 6.7 U3

VMware: Error MISSING DEPENDENCY VIBS a actualizar a la versión 6.7 U3

Recientemente me he encontrado el siguiente problema al actualizar unos de mis servidores a la versión ESXi 6.7 U3. Voy a explicaros como lo solucioné por si algún día llegais a encontraros con el mismo problema.

Como hice con el resto de servidores fui a actualizar, en este caso un servidor de la marca Dell, mediante VUM, tal y como explico en la siguiente entrada, y en esta ocasión me encontré con el siguiente problema.

Este error es debido a que en su día instalé una versión personalizada por Dell de la versión de VMware ESXi 6 y ésta versión incluye algunos VIB que no son estandar y al intentar realizar la actualización con la versión ESXi 6.7 U3 descargada de la página de VMware pues me dió conflictos y no me permitía actualizar.

Como dice el mensaje lo que hay que hacer es quitar los VIB o crear una imagen personalizada para incluir las dependencias que faltan pero claro está el problema es que en el evento no se especifica que dependencias son las que dan conflicto por lo que para averiguarlo tuve que hacer lo siguiente.

Identificación dependencias conflictivas

En primer lugar grabé la imagen con la versión ESXi 6.7 U3 en un DVD y lo ejecuté de forma presencial en el servidor. En esta entrada explico como actualizar mediante este método.

Fui avanzando los distintos pasos de la actualización hasta que llegué al error y aquí si me dió información más precisa sobre cuales eran las dependencias que daban conflicto con la actualización.

Una vez localicé cuales eran las dependencias que estaban dando problemas tuve que buscar su nombre corto para poder proceder a su desinstalación.

Localización nombre corto dependencias

Para localizarlo tenemos 2 opciones:

1- En el propio nombre de la dependencia aparece su nombre corto. En mi caso una de las dependencias que entraban en conflicto era Brocade_bootbank_net_bna_3.1.0.1-10EM.500.0.0.472560. En negrita marco cual sería el nombre corto de la dependencia, esto lo tendríamos que hacer con cada una de ellas.

2- Otra opción sería conectarnos a nuestro ESXi por SSH y ejecutar el siguiente comando donde Broc sería el principio del nombre de la/s dependencia/s que nos faltan.

esxcli software vib list | grep Broc

Antes de eliminar las dependencias que entraban en conflicto con la actualización me aseguré que no se encontraban en uso por el sistema para así evitar problemas futuros.

Comprobación uso dependencias en el sistema

Para comprobar si las dependencias se encuentran actualmente en uso o no lo que hice fue realizar las siguientes comprobaciones:

Verificación drivers NIC

Mediante la consola SSH del servidor ejecuté el comando:

esxcli network nic list

En el listado que apareció comprobé que el driver utilizado por cada uno de los elementos no coincidiera con el nombre corto de algunas de las dependencias que del paso anterior.

En mi caso el driver que estoy utilizando es el tg3 por lo que no interfiere con las dependencias a eliminar.

Verificación drivers HBA

A continuación, ejecuté vía SSH el siguiente comando:

 esxcfg-scsidevs -a 

Comprobé que los drivers que aparecen en la segunda columna no coincidía con ninguno de los que iba eliminar.

Una vez comprobé que ninguno de los drivers que se encontraban en uso por el sistema eran ninguno de los que pretendía eliminar procedí a su eliminación.

Eliminación drivers conflictivos

Para llevar a cabo la eliminación utilicé el siguiente comando:

 esxcli software vib remove -n "nombre corto driver"

Este comando lo ejecuté para cada uno de los drivers que quería a eliminar.

Listo!, ya sólo reinicié el servidor y pude continuar con la actualización sin ningún tipo de problema.

Espero os haya servido de utilidad.

Entradas relacionadas

Deja un comentario